//
// "$Id: Fl_Level.H 4288 2005-04-16 00:13:17Z mike $"
//
// Level header file for the Fast Light Tool Kit (FLTK).
//
// Copyright 2008 by Kurt Van Dijck
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Library General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA.
//

#ifndef Fl_Level_H
#define Fl_Level_H

#ifndef Fl_Valuator_H
#include <FL/Fl_Valuator.H>
#endif

// values for type():
#define FL_1D	0
#define FL_2D	1

class FL_EXPORT Fl_Level : public Fl_Valuator {
   typedef Fl_Valuator base;

   double v2;

protected:

  // these allow subclasses to put the dial in a smaller area:
  void draw(int, int, int, int);
  int handle(int, int, int, int, int);
  void draw();

public:

  int handle(int);
  Fl_Level(int x,int y,int w,int h, const char *l = 0);
  void set_output(void) { }
  void clear_output(void) { }

  double value (void) {
     return base::value();
  }
  double yvalue (void) {
     return v2;
  }
  void value (double v) {
     base::value(v);
  }
  void value (double x, double y) {
     v2 = y;
     base::value(x);
     redraw();
  }
};

#endif

//
// End of "$Id: Fl_Level.H 4288 2005-04-16 00:13:17Z mike $".
//
